Open CASCADE Technology: GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox Class Reference

`#include <GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox.hxx>`

Inheritance diagram for GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox:
[legend]

## Public Member Functions
| GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox ()
| GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox (const Handle< Adaptor3d_HSurface > &PS, const IntSurf_Quadric &IS)
| GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox (const IntSurf_Quadric &IS)
void | Set (const Handle< Adaptor3d_HSurface > &PS)
void | SetImplicitSurface (const IntSurf_Quadric &IS)
void | Set (const Standard_Real Tolerance)
Standard_Integer | NbVariables () const
| Returns the number of variables of the function. More...
Standard_Integer | NbEquations () const
| Returns the number of equations of the function. More...
Standard_Boolean | Value (const math_Vector &X, math_Vector &F)
| Computes the values <F> of the Functions for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Boolean | Derivatives (const math_Vector &X, math_Matrix &D)
| Returns the values <D> of the derivatives for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Boolean | Values (const math_Vector &X, math_Vector &F, math_Matrix &D)
| returns the values <F> of the functions and the derivatives <D> for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Real | Root () const
Standard_Real | Tolerance () const
const gp_Pnt & | Point () const
Standard_Boolean | IsTangent ()
const gp_Vec & | Direction3d ()
const gp_Dir2d & | Direction2d ()
const Handle < Adaptor3d_HSurface > & | PSurface () const
const IntSurf_Quadric & | ISurface () const
Public Member Functions inherited from math_FunctionSet
virtual void | Delete ()
virtual | ~math_FunctionSet ()
virtual Standard_Integer | GetStateNumber ()
| Returns the state of the function corresponding to the latestcall of any methods associated with the function. This function is called by each of the algorithms described later which define the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state. More...

## Constructor & Destructor Documentation

GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox | ( |  | ) |

GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox | ( | const Handle< Adaptor3d_HSurface > & | PS,
|  | const IntSurf_Quadric & | IS
| ) |  |

GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox | ( | const IntSurf_Quadric & | IS | ) |

## Member Function Documentation

Standard_Boolean GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::Derivatives | ( | const math_Vector & | X,
|  | math_Matrix & | D
| ) |  |
| virtual

Returns the values <D> of the derivatives for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

const gp_Dir2d& GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::Direction2d | ( |  | ) |

const gp_Vec& GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::Direction3d | ( |  | ) |

Standard_Boolean GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::IsTangent | ( |  | ) |

const IntSurf_Quadric& GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::ISurface | ( |  | ) | const

Standard_Integer GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::NbEquations | ( |  | ) | const
| virtual

Returns the number of equations of the function.

Implements math_FunctionSetWithDerivatives.

Standard_Integer GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::NbVariables | ( |  | ) | const
| virtual

Returns the number of variables of the function.

Implements math_FunctionSetWithDerivatives.

const gp_Pnt& GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::Point | ( |  | ) | const

const Handle< Adaptor3d_HSurface >& GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::PSurface | ( |  | ) | const

Standard_Real GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::Root | ( |  | ) | const

void GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::Set | ( | const Handle< Adaptor3d_HSurface > & | PS | ) |

void GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::Set | ( | const Standard_Real | Tolerance | ) |

void GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::SetImplicitSurface | ( | const IntSurf_Quadric & | IS | ) |

Standard_Real GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::Tolerance | ( |  | ) | const

Standard_Boolean GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::Value | ( | const math_Vector & | X,
|  | math_Vector & | F
| ) |  |
| virtual

Computes the values <F> of the Functions for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

Standard_Boolean GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox::Values | ( | const math_Vector & | X,
|  | math_Vector & | F,
|  | math_Matrix & | D
| ) |  |
| virtual

returns the values <F> of the functions and the derivatives <D> for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

The documentation for this class was generated from the following file:

- GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox.hxx